> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutsettings.md).

# TableLayoutSettings

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Collects the characteristics associated with table layouts.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TableLayoutSettings : LayoutSettings, ISerializable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TableLayoutSettings
    Inherits LayoutSettings
    Implements ISerializable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnCount

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the maximum number of columns allowed in the table layout. (Default: `0`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)\
  The property value is less than 0.

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnStyles

[TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md): Returns the collection of styles used to determine the look and feel of the table layout columns.

### ![](/files/hsR4ok3152WyAf8J2C1u) GrowStyle

[TableLayoutPanelGrowStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelgrowstyle.md): Returns or sets a value indicating how the table layout should expand to accommodate new cells when all existing cells are occupied. (Default: `AddRows`)

### ![](/files/hsR4ok3152WyAf8J2C1u) LayoutEngine

[LayoutEngine](https://docs.microsoft.com/dotnet/api/system.windows.forms.layout.layoutengine): Returns the current table layout engine.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowCount

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the maximum number of rows allowed in the table layout. (Default: `0`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)\
  The property value is less than 0.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowStyles

[TableLayoutRowStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutrowstylecollection.md): Returns the collection of styles used to determine the look and feel of the table layout rows.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) GetCellPosition(control)

Returns the [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) that represents the row and the column of the cell.

| Parameter   | Type                                                          | Description                        |
| ----------- | ------------------------------------------------------------- | ---------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell. |

**Returns:** [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md). A [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) that represents the cell position.

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.

### ![](/files/hsR4ok3152WyAf8J2C1u) GetColumn(control)

Returns the column position of the specified child control.

| Parameter   | Type                                                          | Description                        |
| ----------- | ------------------------------------------------------------- | ---------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell. |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The column position of the specified child control.

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.

### ![](/files/hsR4ok3152WyAf8J2C1u) GetColumnSpan(control)

Returns the number of columns that the cell containing the child control spans.

| Parameter   | Type                                                          | Description                        |
| ----------- | ------------------------------------------------------------- | ---------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell. |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The number of columns that the cell containing the child control spans.

### ![](/files/hsR4ok3152WyAf8J2C1u) GetRow(control)

Returns the row position of the specified child control.

| Parameter   | Type                                                          | Description                        |
| ----------- | ------------------------------------------------------------- | ---------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell. |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The row position of the specified child control.

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.

### ![](/files/hsR4ok3152WyAf8J2C1u) GetRowSpan(control)

Returns the number of rows that the cell containing the child control spans.

| Parameter   | Type                                                          | Description                        |
| ----------- | ------------------------------------------------------------- | ---------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell. |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The number of rows that the cell containing the child control spans.

### ![](/files/hsR4ok3152WyAf8J2C1u) SetCellPosition(control, cell)

Sets the [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) that represents the row and the column of the cell.

| Parameter   | Type                                                                                                                 | Description                                                                                                                                               |
| ----------- | -------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                        | A control contained within a cell.                                                                                                                        |
| **cell**    | [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) | A [TableLayoutPanelCellPosition](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutpanelcellposition.md) that represents the cell position. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.

### ![](/files/hsR4ok3152WyAf8J2C1u) SetColumn(control, column)

Sets the column position for the specified child control.

| Parameter   | Type                                                          | Description                                          |
| ----------- | ------------------------------------------------------------- | ---------------------------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell.                   |
| **column**  | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   | The column position for the specified child control. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.
* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)*column* is less than -1.

### ![](/files/hsR4ok3152WyAf8J2C1u) SetColumnSpan(control, value)

Sets the number of columns that the cell containing the child control spans.

| Parameter   | Type                                                          | Description                                                             |
| ----------- | ------------------------------------------------------------- | ----------------------------------------------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell.                                      |
| **value**   | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   | The number of columns that the cell containing the child control spans. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.
* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)*value* is less than 1.

### ![](/files/hsR4ok3152WyAf8J2C1u) SetRow(control, row)

Sets the row position of the specified child control.

| Parameter   | Type                                                          | Description                                      |
| ----------- | ------------------------------------------------------------- | ------------------------------------------------ |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell.               |
| **row**     | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   | The row position of the specified child control. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.
* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception)*row* is less than -1.

### ![](/files/hsR4ok3152WyAf8J2C1u) SetRowSpan(control, value)

Sets the number of rows that the cell containing the child control spans.

| Parameter   | Type                                                          | Description                                                          |
| ----------- | ------------------------------------------------------------- | -------------------------------------------------------------------- |
| **control** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | A control contained within a cell.                                   |
| **value**   | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   | The number of rows that the cell containing the child control spans. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)*control* is null.
* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)*value* is less than 1.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
